package es.ejie.frmk.infraestructura.sms;

import es.ejie.frmk.control.excepciones.Q70FrameworkException;

/**
 * Clase que recoge la excepción de telefono erroneo en el envío de SMS.
 * Los atributos de la clase son:
 * <ul>
 * <li>El codigo del error</li>
 * <li>El numero de telefono erroneo</li>
 * </ul>
 * @version 2.0   Fecha: 07-jun-06
 *
 */
public class Q70SMSTelefonoException extends Q70FrameworkException{

	private Integer codigo=null;
	private String telefono=null;
	
	/**
	 * Clase constructora 
	 * @param clase
	 * @param metodo
	 * @param descripcion
	 * @param telefono
	 * @param codigo
	 */
	public Q70SMSTelefonoException (String clase, String metodo, String descripcion, String telefono,Integer codigo)
	{
		super(Q70Constantes.ID_COMPONENTE, clase, metodo, descripcion, null);
		this.telefono=telefono;
		this.codigo = codigo;
	}
	
	/**
	 * @return codigo de error
	 */
	public Integer getCodigo() {
		return codigo;
	}

	/**
	 * @param codigo
	 */
	public void setCodigo(Integer codigo) {
		this.codigo = codigo;
	}

	/**
	 * @return teléfono erroneo
	 */
	public String getTelefono() {
		return telefono;
	}

	/**
	 * @param teléfono
	 */
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}
	
	
	
	

}
